//YWROBOT
//Compatible with the Arduino IDE 1.0
//Library version:1.1

/////////////////////////////////////////////////////////////////////////////////////////////////////////
//данный вариант (версии 1.1.0) больших символов (цифр)создан для письма чисел 2x2 в дисплее "lcd 1602"//
///////////////////этот вариант программы поддерживает только цифры от 0 до 9999/////////////////////////
///////////////////////////////////////////////функции///////////////////////////////////////////////////
////////////////////////////////////printNumders(число,координат "x");///////////////////////////////////
/////////////////////////////////////printNumder(цифра,координат "x");///////////////////////////////////
/////////////////////////////////////////////BigNumberFont();////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////////////////////////////////
////////////////////также вы можете просмотреть саму функцию во вкладке "bigNumber"//////////////////////
/////////////////////////////////////////////////////////////////////////////////////////////////////////

#include <Wire.h>
#include <LiquidCrystal_I2C.h>

#if defined(ARDUINO) && ARDUINO >= 100
#define printByte(args)  write(args);
#else
#define printByte(args)  print(args,BYTE);
#endif

uint8_t q [8]  = {0x1f,0x10,0x10,0x10,0x10,0x10,0x10,0x1f};
uint8_t w [8]  = {0x1f,0x1,0x1,0x1,0x1,0x1,0x1,0x1f};
uint8_t e [8]  = {0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x1f};
uint8_t r [8]  = {0x1,0x1,0x1,0x1,0x1,0x1,0x1,0x1};
uint8_t t [8]  = {0x1f,0x1,0x1,0x1,0x1,0x1,0x1,0x1};
uint8_t y [8]  = {0x1f,0x0,0x0,0x0,0x0,0x0,0x0,0x0};
uint8_t u [8]  = {0x1f,0x10,0x10,0x10,0x10,0x10,0x10,0x10};
uint8_t i [8]  = {0x1,0x1,0x1,0x1,0x1,0x1,0x1f,0x0};
byte ac = 0;
byte bc = 0;
byte cc = 0;
byte dc = 0;
byte ec = 0;
  
LiquidCrystal_I2C lcd(0x27,16,2);  // set the LCD address to 0x27 for a 16 chars and 2 line display

byte h = 0;
byte m = 0;
byte s = 0;

void setup()
{
  lcd.init();                      // initialize the lcd 
  lcd.backlight(); 
  BigNumberFont();
}

void loop()
{
  delay (1000);
  lcd.clear();
  clock();
  printNumberss();
}
void clock()
{
  if (s<59)s++;
  else
  {
    s = 0;
    if (m<59)m++;
    else
    {
      m = 0;
      if (h<23)h++;
      else
      {
        h = 0;
      }
    }
  }
}
void printNumberss()
{
  if (h<10)
  {
    printNumber(0,0);
    printNumber(h,2);
  }
  else printNumbers(h,0);
  lcd.setCursor(4,0);
  lcd.print("*");
  lcd.setCursor(4,1);
  lcd.print("*");
  if (m<10)
  {
    printNumber(0,5);
    printNumber(m,7);
  }
  else printNumbers(m,5);
  lcd.setCursor(9,0);
  lcd.print("*");
  lcd.setCursor(9,1);
  lcd.print("*");
  if (s<10)
  {
    printNumber(0,10);
    printNumber(s,12);
  }
  else printNumbers(s,10);
}

